@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;500;700&display=swap');

html {
    scroll-behavior: smooth;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Roboto', sans-serif;
}

a {
    color: inherit;
    text-decoration: none;
    width: 0 auto;
    height: 0 auto;
}

nav {
    padding: 20px;
}

i {
    font-size: 26px;
    color: #9f62b8;
    transition: all 0.3s ease;
}

i:hover {
    color: #4d1a62;
}

nav button {
    color: #fff;
    background-color: #4d1a62;
    padding: 12px 16px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    transition: all 0.3s ease;
}

nav button:hover {
    background-color: #6e1c8f;
}

.botao {
    text-decoration: none;
    color: #fff;
}

h5 {
    font-size: 50px;
}

li {
    list-style: none;
}

header .logo {
    padding: 120px 85px;
    text-align: center;
    position: relative;
}

header {
    background-image: url("../assets/background.jpeg");
    background-size: cover;
}

.article {
    padding: 85px;
}

.article h5 {
    color: #4d1a62;
    font-size: 25px;
}

.about {
    padding-left: 80px;
    padding-top: 50px;
    display: flex;
    align-items: center;
    gap: 60px;
}

.about .left {
    border-radius: 10px 10px 0 0;
}

.about .left img {
    width: 440px;
}

.about .right p {
    text-align: justify;
    font-size: 18px;
    padding-right: 200px;
}

.services {
    padding-left: 80px;
}

.services .service-items {
    display: flex;
    margin-top: 50px;
    gap: 30px;
}

.services .service-items .item {
    background: linear-gradient(to top, #fff, #f0cbff);
    width: 25%;
    border-radius: 10px;
    padding: 32px;
    cursor: pointer;
    border-bottom: 4px solid transparent;
    transition: all 0.3s ease;
}

.services .service-items .item:hover {
    border-color: #4d1a62;
}

.services .service-items .item .icon {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 46px;
    height: 46px;
    border-radius: 10px;
    margin-bottom: 22px;
    box-shadow: 0 0 16px rgba(0, 0, 0, 0.1);
}

.services .service-items .item .icon i {
    font-size: 26px;
    color: #4d1a62;
}

.services .service-items .item h4,
.projects .projects-items .item .info h4 {
    font-size: 18px;
}

.services .service-items .item p {
    margin-top: 20px;
    font-size: 18px;
    line-height: 22px;
}

.descservices {
    padding-top: 50px;
}

.descservices h5 {
    padding-left: 80px;
    padding-top: 40px;
}

.descservices .left img {
    border-radius: 10px 0 0 10px;
}

.descservices .about {
    display: flex;
    align-items: center;
    gap: 20px;
}

footer .logo {
    display: flex;
    align-items: center;
}

footer .logo img {
    width: 90%;
    height: 70px;
}

footer .top ul {
    display: flex;
    gap: 40px;
}

footer {
    padding: 85px;
    display: flex;
    flex-direction: column;
}

footer .top,
footer .bottom {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

footer .top .social-links {
    display: flex;
    align-items: center;
    gap: 10px;
    font-size: 22px;
}

footer .separator {
    width: 100%;
    height: 1px;
    background-color: #282938;
    margin: 30px 0 20px;
}

footer .bottom p {
    font-size: 12px;
}

footer .bottom .links a {
    font-size: 12px;
    margin-left: 14px;
}

@media screen and (max-width: 1200px) {

    .services .service-items {
        gap: 10px;
        justify-content: space-between;
        flex-wrap: wrap;
    }

    .services .service-items .item {
        width: 49%;
    }

    .about .left img {
        width: 370px;
    }

    .contact .left img {
        width: 370px;
        height: 350px;
    }

    .about .right p {
        font-size: 20px;
        padding-right: 0;
    }

    footer .top ul {
        gap: 20px;
    }

}

@media screen and (max-width: 992px) {

    .about{
        flex-direction: column;
        justify-content: center;
    }

    footer .top ul {
        display: none;
    }

}

@media screen and (max-width: 768px) {

    header .logo img{
        width: 300px;
        height: 100px;
    }

    .article {
        padding: 35px;
    }

    .services {
        padding: 85px 42px 0;
    }

    .services .service-items {
        gap: 8px;
    }

    .about,
    .contact {
        padding: 85px 42px;
    }


    footer {
        padding: 85px 42px;
    }

    footer .bottom {
        flex-direction: column-reverse;
        gap: 14px;
    }

}

@media screen and (max-width: 576px) {

    .descservices h5 {
        padding-left: 0px;
        padding-top: 0px;
    }

    header .logo img{
        width: 330px;
        height: 100px;
    }

    header .logo {
        padding: 30px ;
        text-align: center;
        position: relative;
    }

    .services .service-items .item {
        width: 100%;
    }


    .article p ,
    .descservices p{
        font-size: 15px;
    }

}

@media screen and (max-width: 500px) {
    .article p ,
    .about .right p{
        font-size: 20px;
        padding-right: 0;
    }
}